<?php
/*
Plugin Name: No Dns Prefetch
Plugin URI: http://blog.webcontent.jp/entry/no-dns-prefetch
Description: 自動挿入されるDNSプリフェッチを削除するプラグイン。
Author: ウェブコンテンツ
Version: 1.0
Author URI: http://blog.webcontent.jp/
*/

function remove_dns_prefetch( $hints, $relation_type ) {
    if ( 'dns-prefetch' === $relation_type ) {
        return array_diff( wp_dependencies_unique_hosts(), $hints );
    }

    return $hints;
}

add_filter( 'wp_resource_hints', 'remove_dns_prefetch', 10, 2 );

?>